搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

I downloaded Firefox 18.0 for mail.com mailcom - 2.2. It appears to be only in German; how do I change language to be US English.

  • 16 回覆
  • 18 有這個問題
  • 2307 次檢視
  • 最近回覆由 cor-el

more options

There is a suggestion from mail.com to upgrade my Mozilla Firefox from version 18.0.1 to lastest version of Firefox optimized for mail.com (mail.com recommends using the latest version of Firefox for a faster and better web experience. This special Firefox edition includes: mail.com as startup page Bookmarks to all essential mail.com services Integrate mail.com as search provider mail.com Firefox extension authorized by Mozilla.)

The download URL link is: http://dl.mail.com/browser/firefox/mailcom_Firefox_Setup.exe

This downloaded file, when run, opens URL http://www.mail.com/browser/firefox/

The problem? The download update is in German, not US English. I am not literate in German. There is no obvious way to update the setup Firefox browser to US English.

Please help!!! Now I can't use my Firefox browser and am very unhappy and frustrated with my inability to access needed Internet web sites!!! Please provide me with instructions on how to navigate the Firefox 18.0 for mail.com mailcom - 2.2 browser to upgrade it to US English language.

I await a prompt response on how to rectify this problem, so that I am not restricted to using email on my smartphone!

所有回覆 (16)

more options

Download the Mozilla Firefox official site

more options

The suggestion to "Download the Mozilla Firefox official site https://www.mozilla.org/en-US/firefox/all/" just updated the Firefox browser to Firefox 18.0.1 (US English). When Firefox was opened, the startup screen boldly stated that "this version of Firefox is unstable with mail.com".

Now I have an English version of Firefox that is unstable!

more options

Firefox 18.0.1 is stable version

more options

I downloaded Firefox 18.0.1 (US English) again. I still get the opening dialog box stating that the Firefox version is not a supported version for the mail.com add-on, and I am redirected to mail.com web page to download supported Firefox version (the same German version I am unable to use).

I still am in an frustrating cycle of unsupported version of Firefox 18.0.1 with mail.com and a German version of Firefox 18.0 that does support the mail.com add-on.

more options

mail.com is giving you incorrect information. Please ignore their messages (they want you to use a customized version of Firefox to increase their revenues, but the vanilla Firefox 18.0.1 from the official site will work fine.

Uninstall Firefox, download from www.getfirefox.com, and install 18.0.1. Then if you still have trouble, reset Firefox. Refresh Firefox - reset add-ons and settings

more options

As of now, Firefox 18.0.1 is the current public release of Firefox.

more options

Since I am already a Premium mail.com user (have the premium service), there is no additional revenue mail.com will receive from me (as I use the premium login screen, I don't even see any of the mail.com ads).

Each time I open Firefox 18.0.1 now, I get the

After installation of Firefox 18.0 (US English version), I received the following opening dialogue window each and every time - as Firefox 18.0 is loading:

|------------------------------------------------------------------------------------------------| | Unsupported Combination | | | | You ended up with an unsupported combination of | | Firefox and MailCheck | | This is combination is known to cause errors. | | To avoid them, please install the corresponding | | Firefox version. | | You will now be taken to the install page. | | | | http://www.mail.com/browser/firefox/ | |------------------------------------------------------------------------------------------------|

(which is same German language Firefox 18.0 download that supports MailCheck add-on, but is only available in German).

And, the MailCheck add-on in Firefox 18.0.1 is not actually working (no error messages; but also no email alerts). I have downloaded all the MailCheck add-on updates I can find in my searches.

The problem persists.

more options

sorry that my attempts at creating a dialogue box image representation worked out so poorly - Firefox won't even permit me to make an actual screen image of the dialogue box.

more options

Please create a screenshot of the problem you're seeing by following the guide mentioned at How do I create a screenshot of my problem?.

Once you've done this, attach the saved screenshot file to your forum post by clicking the Browse... button below the Post your reply box. This will help us to visualize the problem.

more options

I have attached jpeg files of both Firefox upgrade options (5 files) -

    Firefox 18.0.1 US English (with messaging that MailCheck is not
    supported; 2 files)
    Firefox 18.0 German (showing the download and installation of Firefox
    18.0 that supports MailCheck, but in German; 3 files)

I hope these are helpful in addressing the problems I've been experiencing.

more options

Does it help if you install the mailcheck extension manually in Firefox 18.0.1?

more options

The URL link

  http://www.mail.com/toolbar/#.720854-header-nav2-4

just took me to the mail.com download page for the German language version of Firefox 18.0 supporting MailCheck. I chose to cancel the download (I have enough Firefox version 18.0 downloads for one day). When I closed Firefox 18.0.1 and then started it again, I did got the "MailCheck not supported" error message dialogue box. I copied the URL link into the address bar again, closed the "start download" after clicking "Free Download" and then the MailCheck window tab opened. Now, there appears to be no Firefox error messages each time I start up Firefox, and MailCheck and mail.com seem to work fine. All is even in US English. hmmmmmmmm . . . .

Weird way to get a program upgrade and an add-on installed . . .

))
more options

Oops, I spoke too soon. I just started Firefox again (after closing the browser and all the open tabs). The "MailCheck not supported" message dialogue box popped up immediately!

more options

I guess the problem still is not fixed (just seemed to be fixed for a moment).

more options

Why don't you click the "Don't show this message again" option, and Cancel? Seems like some sneaky way of getting you to download their customized version of Firefox (and they will always get more revenue off you somehow, by search engine partnerships, or something)

more options

Did you try to clear the cookies from that site and possibly create an allow exception in case it is caused by a missing cookie?